CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.41. CUpti_ActivityNvLink Struct Reference

## [CUPTI Activity API]

This structure gives capabilities of each logical NVLink connection between two devices, gpu<->gpu or gpu<->CPU which can be used to understand the topology. NVLink information are now reported using the CUpti_ActivityNvLink2 activity record.

### Public Variables

uint64_t bandwidth
uint32_t domainId
uint32_t flag
CUpti_ActivityNvLink::@17 idDev0
CUpti_ActivityNvLink::@18 idDev1
uint32_t index
CUpti_ActivityKind kind
uint32_t nvlinkVersion
uint32_t physicalNvLinkCount
int8_t portDev0[4]
int8_t portDev1[4]
CUpti_DevType typeDev0
CUpti_DevType typeDev1

### Variables

uint64_t CUpti_ActivityNvLink::bandwidth [inherited]

  Banwidth of NVLink in kbytes/sec

uint32_t CUpti_ActivityNvLink::domainId [inherited]

  Domain ID of NPU. On Linux, this can be queried using lspci.

uint32_t CUpti_ActivityNvLink::flag [inherited]

  Flag gives capabilities of the link

  See also:

  CUpti_LinkFlag

CUpti_ActivityNvLink::@17 CUpti_ActivityNvLink::idDev0 [inherited]

  If typeDev0 is CUPTI_DEV_TYPE_GPU, UUID for device 0. CUpti_ActivityDevice2. If typeDev0 is CUPTI_DEV_TYPE_NPU, struct npu for NPU.

CUpti_ActivityNvLink::@18 CUpti_ActivityNvLink::idDev1 [inherited]

  If typeDev1 is CUPTI_DEV_TYPE_GPU, UUID for device 1. CUpti_ActivityDevice2. If typeDev1 is CUPTI_DEV_TYPE_NPU, struct npu for NPU.

uint32_t CUpti_ActivityNvLink::index [inherited]

  Index of the NPU. First index will always be zero.

CUpti_ActivityKind CUpti_ActivityNvLink::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_NVLINK.

uint32_t CUpti_ActivityNvLink::nvlinkVersion [inherited]

  NVLink version.

uint32_t CUpti_ActivityNvLink::physicalNvLinkCount [inherited]

  Number of physical NVLinks present between two devices.

int8_t CUpti_ActivityNvLink::portDev0[4] [inherited]

  Port numbers for maximum 4 NVLinks connected to device 0. If typeDev0 is CUPTI_DEV_TYPE_NPU, ignore this field. In case of invalid/unknown port number, this field will be set to value CUPTI_NVLINK_INVALID_PORT. This will be used to correlate the metric values to individual physical link and attribute traffic to the logical NVLink in the topology.

int8_t CUpti_ActivityNvLink::portDev1[4] [inherited]

  Port numbers for maximum 4 NVLinks connected to device 1. If typeDev1 is CUPTI_DEV_TYPE_NPU, ignore this field. In case of invalid/unknown port number, this field will be set to value CUPTI_NVLINK_INVALID_PORT. This will be used to correlate the metric values to individual physical link and attribute traffic to the logical NVLink in the topology.

CUpti_DevType CUpti_ActivityNvLink::typeDev0 [inherited]

  Type of device 0 CUpti_DevType

CUpti_DevType CUpti_ActivityNvLink::typeDev1 [inherited]

  Type of device 1 CUpti_DevType